#include <iostream>
using namespace std;
int cmas[700000];
int cnt[1400000];
int main() {
    int t,max=0;
    cin>>t;
    for (int l=0;l<t;l++) {
        int n;
        cin>>n;
        for (int i=0;i<2*n;i++) {
            cnt[i]=0;
        }
        for (int i=0;i<n;i++) {
            int a,b,c;
            cin>>a>>b>>c;
            cnt[a]+=c;
            cnt[b]+=c;
        }
        for (int i=0;i<2*n;i++) {
            if (max<cnt[i])max=cnt[i];
        }
        cout<<max<<'\n';
    }

}